/**

Copyright 2019 Forestry.io Inc

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.

*/
import { EventBus, Callback } from '@tinacms/core';
import * as React from 'react';
export interface SidebarStateOptions {
    position?: SidebarPosition;
    buttons?: SidebarButtons;
    placeholder?: React.FC;
}
/**
 * @deprecated
 * `buttons` set on the form directly
 * via form config options
 */
export interface SidebarButtons {
    save: string;
    reset: string;
}
export declare type SidebarPosition = 'fixed' | 'float' | 'displace' | 'overlay';
export declare class SidebarState {
    private events;
    private _isOpen;
    placeholder: React.FC;
    position: SidebarPosition;
    buttons: SidebarButtons;
    constructor(events: EventBus, options?: SidebarStateOptions);
    get isOpen(): boolean;
    set isOpen(nextValue: boolean);
    subscribe(callback: Callback): () => void;
}
